# Interface FixedValue

A signed fixed-point value

#### Category

Elementary types

#### Hierarchy

- FixedValue

- Defined in codec/lib/format/elementary.ts:190

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/elementary.ts:197

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:192

### type

type: FixedType

- Defined in codec/lib/format/elementary.ts:191

### value

value: {
asBig: Big;
rawAsBig?: Big;
}

#### Type declaration

- ##### asBig: Big

- ##### `Optional` rawAsBig?: Big

- Defined in codec/lib/format/elementary.ts:193

Generated using TypeDoc